Bug 1286506 - qemu-kvm core dumped when booting qemu-kvm process with queues=0 and vhost-user
Summary: qemu-kvm core dumped when booting qemu-kvm process with queues=0 and vhost-user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.2
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Victor Kaplansky
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1305606 1313485 1288337
TreeView+ depends on / blocked
 
Reported: 2015-11-30 04:38 UTC by FuXiangChun
Modified: 2016-11-07 21:39 UTC (History)
12 users (show)

Fixed In Version: qemu-kvm-rhev-2.5.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 21:39:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2673 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2016-11-08 01:06:13 UTC

Comment 5 FuXiangChun 2016-05-26 01:59:17 UTC
Verified this bug with qemu-kvm-rhev-2.6.0-3.el7.

result:
/usr/libexec/qemu-kvm -m 3G,maxmem=4G,slots=4 -smp 4 -chardev socket,id=charnet0,path=/var/run/openvswitch/vhost-user2 -netdev type=vhost-user,id=hostnet0,queues=0,chardev=charnet0 -device virtio-net-pci,mq=on,vectors=10,netdev=hostnet0,id=net0,mac=52:54:00:01:0b:12,bus=pci.0,addr=0x9,ctrl_vlan=off,status=on

qemu-kvm: -netdev type=vhost-user,id=hostnet0,queues=0,chardev=charnet0: vhost-user number of queues must be in range [1, 1024]

As queues=0 has no meaning. qemu-kvm-rhev and libvirt prevented queues=0 this setting.  It makes sense.

Comment 6 juzhang 2016-06-23 07:59:52 UTC
According to comment5, set this issue as verified.

Comment 8 errata-xmlrpc 2016-11-07 21:39:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2673.html


Note You need to log in before you can comment on or make changes to this bug.